package com.supwisdom.institute.backend.common.framework.vo.response;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.supwisdom.institute.backend.common.framework.vo.response.data.IApiResponseData;

public abstract class AbstractApiResponse<T extends IApiResponseData> implements IApiResponse<T> {

  /**
   * 
   */
  private static final long serialVersionUID = 846108786006850165L;
  
  @JsonIgnore
  @Deprecated
  protected boolean acknowleged = true;

  @Override
  @JsonIgnore
  @Deprecated
  public boolean isAcknowleged() {
    return acknowleged;
  }
  
  protected int code = 0;
  protected String message = null;
  
  @Override
  public int getCode() {
    return code;
  }
  
  @Override
  public String getMessage() {
    return message;
  }

}
